Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class ReferenceImpl

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.ReferenceImpl

All Implemented Interfaces:
  Localizable, Reference, Serializable

    public class ReferenceImpl

extends Object
implements Reference, Serializable, Localizable

See Also:
  Serialized Form

Constructor Summary
`ReferenceImpl()`
`ReferenceImpl(Frame frame, Slot slot, Facet facet, boolean isTemplate)`

Method Summary
`boolean` | `equals(Object o)`
`static boolean` | `equals(Object o1, Object o2)`
`Facet` | `getFacet()`
`Frame` | `getFrame()`
`Slot` | `getSlot()`
`int` | `hashCode()`
`boolean` | `isTemplate()`
`void` | `localize(KnowledgeBase kb)`
`void` | `replace(Frame frame)`
`void` | `set(Frame frame, Slot slot, Facet facet, boolean isTemplate)`
`String` | `toString()`
`boolean` | `usesFrame(Frame frame)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceImpl

    public ReferenceImpl(Frame frame,
                         Slot slot,
                         Facet facet,
                         boolean isTemplate)

### ReferenceImpl

    public ReferenceImpl()

Method Detail

### replace

    public void replace(Frame frame)

### set

    public void set(Frame frame,
                    Slot slot,
                    Facet facet,
                    boolean isTemplate)

### getFrame

    public Frame getFrame()

  Specified by:
    `getFrame` in interface `Reference`

### getSlot

    public Slot getSlot()

  Specified by:
    `getSlot` in interface `Reference`

### getFacet

    public Facet getFacet()

  Specified by:
    `getFacet` in interface `Reference`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isTemplate

    public boolean isTemplate()

  Specified by:
    `isTemplate` in interface `Reference`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### equals

    public static boolean equals(Object o1,
                                 Object o2)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### usesFrame

    public boolean usesFrame(Frame frame)

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.